## kdeplasma-addons 4.13.0

=== applets/CMakeLists.txt ===

# this works also for the weatherutils include dir, but should be done properly, Alex
include_directories(${PLASMACLOCK_INCLUDE_DIR})

if(KDE4_PLASMA_OPENGL_FOUND)
  message(STATUS "libplasma supports OpenGL applets")
else(KDE4_PLASMA_OPENGL_FOUND)
  message(STATUS "libplasma doesn't support OpenGL applets")
endif(KDE4_PLASMA_OPENGL_FOUND)

add_subdirectory(bball)
if(KDE4WORKSPACE_FOUND)
  add_subdirectory(binary-clock)
  add_subdirectory(fuzzy-clock)
  add_subdirectory(weather)
  if(NOT WIN32 AND DBUSMENUQT_FOUND)
    add_subdirectory(icontasks)
 endif(NOT WIN32 AND DBUSMENUQT_FOUND)
endif(KDE4WORKSPACE_FOUND)
add_subdirectory(blackboard)
add_subdirectory(bookmarks)
add_subdirectory(bubblemon)
add_subdirectory(calculator)
add_subdirectory(charselect)
add_subdirectory(comic)
add_subdirectory(fifteenPuzzle)
add_subdirectory(fileWatcher)
add_subdirectory(frame)
add_subdirectory(kolourpicker)
add_subdirectory(konqprofiles)
add_subdirectory(konsoleprofiles)
add_subdirectory(life)
add_subdirectory(luna)
add_subdirectory(magnifique)
add_subdirectory(microblog)
add_subdirectory(notes)
add_subdirectory(nowplaying)
if(LIBATTICA_FOUND)
  add_subdirectory(knowledgebase)
  add_subdirectory(community)
  add_subdirectory(social-news)
endif(LIBATTICA_FOUND)
add_subdirectory(pastebin)
add_subdirectory(previewer)
add_subdirectory(rememberthemilk)
add_subdirectory(rssnow)
add_subdirectory(spellcheck)
add_subdirectory(showdashboard)
add_subdirectory(timer)

add_subdirectory(eyes)

add_subdirectory(unitconverter)
add_subdirectory(weatherstation)

if(QT_QTWEBKIT_FOUND)
  add_subdirectory(dict)
  add_subdirectory(news)
endif(QT_QTWEBKIT_FOUND)

if(PHONON_FOUND)
  add_subdirectory(mediaplayer)
endif(PHONON_FOUND)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/qalculate/cmake_modules)
macro_optional_find_package(Qalculate)
if ( QALCULATE_FOUND )
    macro_log_feature(QALCULATE_FOUND "Qalculate!" "Qalculate Library" "http://qalculate.sourceforge.net/" FALSE "" "Needed for building the Qalculate plasma applet")
    add_subdirectory(qalculate)
endif( QALCULATE_FOUND )

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/kdeobservatory/cmake/modules)
macro_optional_find_package(Qwt)
if ( Qwt5-Qt4_FOUND )
  add_subdirectory(kdeobservatory)
endif( Qwt5-Qt4_FOUND )

if(NOT WIN32)
if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
  if(KDE4WORKSPACE_FOUND)
    add_subdirectory(lancelot)
  endif(KDE4WORKSPACE_FOUND)
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
  add_subdirectory(incomingmsg)
  add_subdirectory(leavenote)
  add_subdirectory(showdesktop)
  add_subdirectory(paste)
  add_subdirectory(plasmaboard)
  add_subdirectory(systemloadviewer)
endif(NOT WIN32)

if (Q_WS_X11)
   if (X11_Xrender_FOUND)
      set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/kimpanel/cmake)
      add_subdirectory(kimpanel)
   endif (X11_Xrender_FOUND)
endif (Q_WS_X11)

add_subdirectory(webslice)

=== libs/CMakeLists.txt ===

add_subdirectory(plasmaweather)
add_subdirectory(rtm)

if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
    add_subdirectory(lancelot)

if(NOT WIN32 AND KDE4WORKSPACE_FOUND)
   add_subdirectory(lancelot-datamodels)
endif(NOT WIN32 AND KDE4WORKSPACE_FOUND)

endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

=== runners/CMakeLists.txt ===
add_subdirectory(audioplayercontrol)
add_subdirectory(browserhistory)
add_subdirectory(converter)
add_subdirectory(datetime)
add_subdirectory(katesessions)
add_subdirectory(konquerorsessions)
add_subdirectory(kopete)
add_subdirectory(mediawiki)
add_subdirectory(spellchecker)
add_subdirectory(characters)
add_subdirectory(dictionary)

if(KDEPIMLIBS_FOUND)
 if (NOT KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
  add_subdirectory(contacts)
 endif (NOT KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
 add_subdirectory(events)
endif(KDEPIMLIBS_FOUND)

if(NOT WIN32)
 add_subdirectory(konsolesessions)
endif(NOT WIN32)

if(QJSON_FOUND)
 add_subdirectory(youtube)
 add_subdirectory(translator)
endif(QJSON_FOUND)

=== wallpapers/CMakeLists.txt ===
add_subdirectory(mandelbrot)
add_subdirectory(pattern)
add_subdirectory(potd)
add_subdirectory(virus)
add_subdirectory(weather)
add_subdirectory(qmlwallpapers)

if(MARBLE_FOUND)
    add_subdirectory(marble)
endif(MARBLE_FOUND)

=== applets/comic/CMakeLists.txt ===
project(plasma-comic)

if(HAVE_NEPOMUK)
    add_definitions(-DHAVE_NEPOMUK)
    add_definitions(-DDISABLE_NEPOMUK_LEGACY)
endif(HAVE_NEPOMUK)

set(comic_SRCS
    comic.cpp
    comicmodel.cpp
    configwidget.cpp
    comicarchivejob.cpp
    comicarchivedialog.cpp
    checknewstrips.cpp
    comicdata.cpp
    comicinfo.cpp
    comicsaver.cpp
    stripselector.cpp
    activecomicmodel.cpp
)

kde4_add_ui_files(comic_SRCS
                  comicSettings.ui
                  appearanceSettings.ui
                  advancedsettings.ui
                  comicarchivedialog.ui
)

kde4_add_plugin(plasma_applet_comic ${comic_SRCS})
target_link_libraries(plasma_applet_comic ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBS} ${QT_QTDECLARATIVE_LIBRARY})

if(HAVE_NEPOMUK)
  target_link_libraries(plasma_applet_comic ${NEPOMUK_LIBRARIES} ${NEPOMUK_UTILS_LIBRARIES} ${SOPRANO_LIBRARIES})
endif(HAVE_NEPOMUK)

install(TARGETS plasma_applet_comic DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-comic-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES comic.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.comic)

=== applets/konqprofiles/CMakeLists.txt ===
project(konqprofiles)

install(DIRECTORY package/
        DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/konqprofiles)

install(FILES package/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-konqprofiles.desktop)

=== applets/lancelot/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

SET(CMAKE_CXX_FLAGS_CODECHECK "${CMAKE_CXX_FLAGS} -save-temps")
SET(CMAKE_C_FLAGS_CODECHECK "${CMAKE_C_FLAGS} -save-temps")
message("Flags for CodeCheck are ${CMAKE_CXX_FLAGS_CODECHECK}")

find_package(SharedMimeInfo REQUIRED)

# Finding liblancelot
find_package(Lancelot REQUIRED)
find_package(Lancelot-Datamodels REQUIRED)

add_subdirectory(tools)

add_subdirectory(application)
add_subdirectory(launcher)
add_subdirectory(parts)

add_subdirectory(themes)
add_subdirectory(icons)
add_subdirectory(cmake)

=== applets/previewer/CMakeLists.txt ===
# Project Needs a name ofcourse
project(previewer)
 
# We add our source code here
set(previewer_SRCS plasma-previewer.cpp
                   previewitemmodel.cpp
                   previewdialog.cpp
                   previewwidget.cpp
                   )

QT4_ADD_DBUS_ADAPTOR(Previewer_SRCS org.kde.Previewer.xml
                     plasma-previewer.h Previewer)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_previewer ${previewer_SRCS} ${Previewer_SRCS})


target_link_libraries(plasma_applet_previewer
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KIO_LIBS} ${QT_QTDBUS_LIBRARY})
 

install(TARGETS plasma_applet_previewer
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-previewer.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES preview.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)

install(FILES
        previewer-16.svgz
        previewer-22.svgz
        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

kde4_install_icons(${ICON_INSTALL_DIR})

=== applets/rssnow/CMakeLists.txt ===
project(plasma-rssnow)
set(news_SRCS
    news.cpp
    header.cpp
    single-feed.cpp
    scroller.cpp
)

kde4_add_ui_files(news_SRCS config.ui feedsConfig.ui)

kde4_add_plugin(plasma_applet_rssnow ${news_SRCS})
target_link_libraries(plasma_applet_rssnow ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_rssnow DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-rssnow.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES feeds DESTINATION ${DATA_INSTALL_DIR}/rssnow)
install(FILES
arrows.svgz
rssnow.svgz
background.svgz
DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/rssnow/)

=== containments/groupingdesktop/CMakeLists.txt ===
project(groupingdesktop)

add_subdirectory(lib)
add_subdirectory(desktop)
add_subdirectory(panel)
add_subdirectory(griddesktop)

=== dataengines/kdeobservatory/CMakeLists.txt ===
project(plasma-kdeobservatoryengine)
 
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
set(kdeobservatory_engine_SRCS
    src/kdepresets.cpp
    src/kdeobservatoryengine.cpp
    src/kdeobservatoryservice.cpp
)
 
kde4_add_plugin(plasma_engine_kdeobservatory ${kdeobservatory_engine_SRCS})

target_link_libraries(plasma_engine_kdeobservatory
                      ${QT_QTNETWORK_LIBRARY}
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${KDE4_SOLID_LIBS}
                      ${KDE4_PLASMA_LIBS})
 
install(TARGETS plasma_engine_kdeobservatory
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-engine-kdeobservatory.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES src/kdeobservatory.operations
        DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== dataengines/kimpanel/CMakeLists.txt ===
project(plasma-dataengine-kimpanel)

set(plasma_engine_kimpanel_SRCS
    kimpaneldataengine.cpp
    kimpanelagent.cpp
    kimpanelservice.cpp
    kimpaneljob.cpp
    kimpanelinputpanelcontainer.cpp
    kimpanelstatusbarcontainer.cpp
)
QT4_ADD_DBUS_ADAPTOR(plasma_engine_kimpanel_SRCS
    org.kde.impanel.xml
    kimpanelagent.h
    PanelAgent)

kde4_add_plugin(plasma_engine_kimpanel ${plasma_engine_kimpanel_SRCS})
target_link_libraries(plasma_engine_kimpanel
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_engine_kimpanel
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-dataengine-kimpanel.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES kimpanel.operations DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== debian/changelog ===
kdeplasma-addons (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:56:53 +0100

kdeplasma-addons (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:21:22 +0200

kdeplasma-addons (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:10:17 +0100

kdeplasma-addons (4:4.12.90-0ubuntu4) trusty; urgency=medium

  * Revert ppc64el-specific hacks to avoid eigen2, now that it's built.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Mar 2014 23:25:16 -0600

kdeplasma-addons (4:4.12.90-0ubuntu3) trusty; urgency=low

  * Remove plasma-wallpaper-mandelbrot even harder on ppc64el in the faint
    hope of fixing the build

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Mar 2014 22:50:28 -0400

kdeplasma-addons (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Add plasma-wallpapers-addons.install.ppc64el

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Mar 2014 23:52:26 +0000

kdeplasma-addons (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:51:03 +0000

kdeplasma-addons (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:43:05 +0100

=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends:
# kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.13.0), kde-workspace-dev (>= 4:4.11),
 nepomuk-core-dev (>= 4:4.13.0),
 libkexiv2-dev (>= 4:4.13.0), libmarble-dev (>= 4:4.13.0),
 libqt4-opengl-dev, libboost1.54-dev, libqimageblitz-dev, libeigen2-dev, libxrender-dev,
 shared-desktop-ontologies, libattica-dev, libxtst-dev, libqalculate-dev,
 libqca2-dev, libqtwebkit-dev, libdbusmenu-qt-dev, libibus-1.0-dev (>= 1.4.2),
 libqwt5-qt4-dev, libglib2.0-dev, shared-mime-info, libqjson-dev, libqoauth-dev,
Standards-Version: 3.9.3
Homepage: http://plasma.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeplasma-addons.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeplasma-addons.git

Package: kdeplasma-addons
Architecture: all
Section: kde
Depends: ${misc:Depends}, plasma-widgets-addons (>= ${source:Version}),
 plasma-runners-addons (>= ${source:Version}),
 plasma-widget-lancelot (>= ${source:Version}),
 plasma-wallpapers-addons (>= ${source:Version}),
 plasma-containments-addons (>= ${source:Version})
Description: addons for Plasma
 The KDE Plasma addons module is a collection of additional Plasma
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package is a metapackage that installs all the widgets, data
 engines and krunner plugins from the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}),
Breaks: plasma-runners-addons (<< 4:4.10.80),
 plasma-widget-kimpanel (<< 4:4.10.80),
 plasma-wallpapers-addons (<< 4:4.10.80)
Replaces: plasma-runners-addons (<< 4:4.10.80),
 plasma-widget-kimpanel (<< 4:4.10.80),
 plasma-wallpapers-addons (<< 4:4.10.80)
Suggests: plasma-widget-kimpanel, plasma-widget-lancelot
Description: additional widgets for Plasma
 This package contains additional Plasma widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Binary Clock
  * Black Board
  * Bookmarks
  * Bouncy Ball
  * Bubblemon
  * Calculator
  * Character Selector
  * Color Picker
  * Comic Strip
  * Dictionary
  * Eyes
  * Fifteen Puzzle
  * File Watcher
  * Fuzzy Clock
  * Icon Tasks
  * Incoming Message
  * Knowledge Base
  * Konqueror Profiles
  * Konsole Profile
  * LCD Weather Station
  * Leave a Note
  * Life
  * Luna
  * Magnifique
  * Media Player
  * Microblogging
  * News
  * Notes
  * Now Playing
  * OpenDesktop.org Community
  * OpenDesktop.org Social News
  * Paste
  * Pastebin
  * Picture Frame
  * Plasmaboard
  * Previewer
  * Qalculate!
  * Remember The Milk
  * RSSNOW
  * Show Widget Dashboard
  * Show Desktop
  * Spell Check
  * System Load Viewer
  * Timer
  * Unit Converter
  * Weather Forecast
  * Web Slice
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-containments-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional containment plugins for Plasma
 This package contains additional Plasma containment plugins. These plugins
 allow the user to layout Plasma widgets in groups.
 .
 Plasma widgets can be added to a group dropping them from the Add Widgets
 Explorer or moving them over the group. If it is necessary (like in the grid
 group) a drop zone will be shown (like the one in the panel).
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: plasma-widget-kdeobservatory (<< 4:4.10.80)
Replaces: plasma-widget-kdeobservatory (<< 4:4.10.80)
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma
 addons module. These engines are needed by some Plasma widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional runners for Plasma and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Audio Player Control
  * Calendar Events
  * Contacts
  * Date and Time
  * Kate Sessions
  * KDE TechBase
  * KDE Userbase Documentation
  * Konqueror Sessions
  * Konsole Sessions
  * Kopete Contacts
  * Special Characters
  * Spell Checker
  * Unit Converter
  * Web Browser History
  * Wikipedia
  * Wikitravel
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace, plasma-dataengines-addons (= ${binary:Version}), kde-wallpapers
Replaces: plasma-dataengines-addons (<= 4:4.3.0-1)
Description: additional wallpaper plugins for Plasma
 This package contains additional Plasma wallpaper plugins that are used in 
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Globe (Marble)
  * Mandelbrot
  * Pattern
  * Picture of the day
  * Virus
  * Weather
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-lancelot
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-applet-lancelot
Conflicts: plasma-applet-lancelot
Description: lancelot widget for Plasma
 Lancelot is an application launcher menu (or ALI) for Plasma designed to
 provide a place from which all your jobs begin. It provides quick access
 to applications, places, documents, contacts and system information.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-kimpanel
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-widgets-addons (<< 4:4.8.3), plasma-dataengines-addons (<< 4:4.10.97)
Breaks: plasma-widgets-addons (<< 4:4.8.3), plasma-dataengines-addons (<< 4:4.10.97)
Description: KIMPanel widget for Plasma
 This package provides the KDE Input Method Panel widget for Plasma.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-kdeobservatory
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-dataengines-addons (<< 4:4.8.0)
Breaks: plasma-dataengines-addons (<< 4:4.8.0)
Description: KDE development tracking widget for Plasma
 The KDE Observatory Plasma widget is a way to track various metrics of the
 KDE project as a whole, including commit counts, Krazy2 report numbers for
 various KDE modules, and other statistics.
 .
 This package is part of the KDE Plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, plasma-widgets-addons (= ${binary:Version}), plasma-dataengines-addons (= ${binary:Version}),
 plasma-runners-addons (= ${binary:Version}), plasma-widget-lancelot (= ${binary:Version}),
 plasma-wallpapers-addons (= ${binary:Version}), plasma-widget-kimpanel (= ${binary:Version}), kde-workspace-dbg
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons.
 They will automatically be used by gdb for debugging kdeplasma-addons related
 issues.

## kdeplasma-addons 4.13.3

=== dataengines/CMakeLists.txt ===
add_subdirectory(comic)

if (QCA2_FOUND AND QJSON_FOUND AND QTOAUTH_FOUND)
      add_subdirectory(microblog)
endif(QCA2_FOUND AND QJSON_FOUND AND QTOAUTH_FOUND)

if(LIBATTICA_FOUND)
  add_subdirectory(ocs)
endif(LIBATTICA_FOUND)

add_subdirectory(potd)
add_subdirectory(rememberthemilk)
add_subdirectory(kdeobservatory)
add_subdirectory(kimpanel)
add_subdirectory(konsoleprofiles)
add_subdirectory(konqprofiles)

=== applets/bubblemon/CMakeLists.txt ===
project(plasma-applet-bubblemon)

add_subdirectory(src)
add_subdirectory(images)

install(FILES plasma-applet-bubblemon.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/dict/CMakeLists.txt ===
project(plasma-dict)

INCLUDE_DIRECTORIES(
	${QT_QTWEBKIT_INCLUDE_DIR})

set(dict_SRCS
    dict.cpp)

kde4_add_plugin(plasma_applet_dict ${dict_SRCS})
target_link_libraries(plasma_applet_dict ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS}
)

install(TARGETS plasma_applet_dict DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dict-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})

kde4_install_icons(${ICON_INSTALL_DIR})

=== applets/frame/CMakeLists.txt ===
project(plasma-frame)

macro_optional_find_package(Kexiv2)
macro_log_feature(KEXIV2_FOUND "libkexiv2" "Library to access EXIF information" "http://www.kde.org" FALSE "0.2.0" "RECOMMENDED: Enables automatic rotation for frame applet" )

set(frame_SRCS
    frame.cpp
    slideshow.cpp
    picture.cpp
    imagescaler.cpp
    imageloader.cpp
    configdialog.cpp)

kde4_add_ui_files(frame_SRCS imageSettings.ui appearanceSettings.ui)

macro_bool_to_01(KEXIV2_FOUND HAVE_KEXIV2)

kde4_add_plugin(plasma_applet_frame ${frame_SRCS})


if(HAVE_KEXIV2)
    include_directories( ${KEXIV2_INCLUDE_DIR} )
    set_source_files_properties(picture.cpp imageloader.cpp PROPERTIES
                               COMPILE_FLAGS -DHAVE_KEXIV2)
    target_link_libraries(plasma_applet_frame ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS} ${KEXIV2_LIBRARIES} )
else (HAVE_KEXIV2)
    target_link_libraries(plasma_applet_frame ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS} )
endif(HAVE_KEXIV2)

install(TARGETS plasma_applet_frame DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-frame-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})
#install(FILES picture-frame-default.jpg DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

install(FILES picture-frame-default.jpg DESTINATION ${DATA_INSTALL_DIR}/plasma-applet-frame/)

=== applets/kolourpicker/CMakeLists.txt ===
project(plasma-kolourpicker)

set(KOLOURPICKER_X11_LIB FALSE)
if(X11_FOUND AND X11_Xutil_FOUND)
   set(KOLOURPICKER_X11_LIB TRUE)
   include_directories(${X11_Xutil_INCLUDE_PATH})
endif(X11_FOUND AND X11_Xutil_FOUND)

configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-kolourpicker.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-kolourpicker.h
)

set(kolourpicker_SRCS
    kolourpicker.cpp
)

kde4_add_plugin(plasma_applet_kolourpicker ${kolourpicker_SRCS})
target_link_libraries(plasma_applet_kolourpicker ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})
if(KOLOURPICKER_X11_LIB)
   target_link_libraries(plasma_applet_kolourpicker ${X11_X11_LIB})
endif(KOLOURPICKER_X11_LIB)

install(TARGETS plasma_applet_kolourpicker DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-kolourpicker-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/microblog/CMakeLists.txt ===
project(plasma-microblog)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} )

set(microblog_SRCS
    microblog.cpp
    postwidget.cpp)
kde4_add_ui_files(microblog_SRCS configuration.ui)

kde4_add_plugin(plasma_applet_microblog ${microblog_SRCS})
target_link_libraries(plasma_applet_microblog ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS plasma_applet_microblog DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-microblog.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
    microblog.svgz
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== applets/notes/CMakeLists.txt ===
project(plasma-notes)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES}
    )

set(notes_SRCS notes.cpp textedit.cpp)
kde4_add_ui_files(notes_SRCS config.ui)

kde4_add_plugin(plasma_applet_notes ${notes_SRCS})
target_link_libraries(plasma_applet_notes
            ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS}
            )
install(
    TARGETS plasma_applet_notes
    DESTINATION ${PLUGIN_INSTALL_DIR}
    )

install(
    FILES plasma-notes-default.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    )

install(
    FILES notes.svgz
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== applets/nowplaying/CMakeLists.txt ===
project(nowplaying)

install(DIRECTORY package/
        DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/nowplaying)

install(FILES package/metadata.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
        RENAME plasma-applet-nowplaying.desktop)

=== applets/showdesktop/CMakeLists.txt ===
project(plasma-showdesktop)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} )

set(showdesktop_SRCS
    showdesktop.cpp
)

kde4_add_plugin(plasma_applet_showdesktop ${showdesktop_SRCS})
target_link_libraries(plasma_applet_showdesktop
     ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} )

install(TARGETS plasma_applet_showdesktop DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-showdesktop.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/social-news/CMakeLists.txt ===
project(plasma-opendesktop-activities)


set(activities_SRCS
    activities.cpp
    activitylist.cpp
    activitywidget.cpp
    contactimage.cpp
)

kde4_add_plugin(plasma_applet_opendesktop_activities ${activities_SRCS})

target_link_libraries(
    plasma_applet_opendesktop_activities
    ${KDE4_PLASMA_LIBS}
)

install(TARGETS plasma_applet_opendesktop_activities DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-opendesktop-activities.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES plasma-applet-opendesktop-activities.notifyrc DESTINATION ${DATA_INSTALL_DIR}/plasma-applet-opendesktop-activities/)

=== dataengines/kdecommits/CMakeLists.txt ===
project(plasma-kdecommitsengine)
 
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
set(kdecommits_engine_SRCS
    src/kdepresets.cpp
    src/kdecommitsengine.cpp
    src/kdecommitsservice.cpp
)
 
kde4_add_plugin(plasma_engine_kdecommits ${kdecommits_engine_SRCS})

target_link_libraries(plasma_engine_kdecommits
                      ${QT_QTNETWORK_LIBRARY}
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${KDE4_PLASMA_LIBS})
 
install(TARGETS plasma_engine_kdecommits
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-engine-kdecommits.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES src/kdecommits.operations
        DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== dataengines/konqprofiles/CMakeLists.txt ===
set(konqprofilesengine_SRCS
    konqprofilesengine.cpp
    konqprofilesservice.cpp
)

kde4_add_plugin(plasma_engine_konqprofiles ${konqprofilesengine_SRCS})
target_link_libraries(plasma_engine_konqprofiles ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS plasma_engine_konqprofiles DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-konqprofiles.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES org.kde.plasma.dataengine.konqprofiles.operations DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== debian/changelog ===
kdeplasma-addons (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:27:01 +0200

kdeplasma-addons (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:48:10 +0200

kdeplasma-addons (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:51:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends:
 # kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.13.0), kde-workspace-dev (>= 4:4.11),
- nepomuk-core-dev (>= 4:4.13.0),
- libkexiv2-dev (>= 4:4.13.0), libmarble-dev (>= 4:4.13.0),
+ kdepimlibs5-dev (>= 4:4.13.3), kde-workspace-dev (>= 4:4.11),
+ nepomuk-core-dev (>= 4:4.13.3),
+ libkexiv2-dev (>= 4:4.13.0), libmarble-dev (>= 4:4.13.3),
  libqt4-opengl-dev, libboost1.54-dev, libqimageblitz-dev, libeigen2-dev, libxrender-dev,
  shared-desktop-ontologies, libattica-dev, libxtst-dev, libqalculate-dev,
  libqca2-dev, libqtwebkit-dev, libdbusmenu-qt-dev, libibus-1.0-dev (>= 1.4.2),

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdeplasma-addons-([\d\.]*).tar.xz

## kdeplasma-addons 4.14.1

=== debian/changelog ===
kdeplasma-addons (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:48:42 +0200

kdeplasma-addons (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:48:34 +0200

kdeplasma-addons (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:36:00 +0200

kdeplasma-addons (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Remove nepomuk and shared-desktop-ontologies from build-depends

  [ Scarlett Clark ]
  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:04:43 +0200

kdeplasma-addons (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 22:59:47 +0200

kdeplasma-addons (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:53:50 +0100

kdeplasma-addons (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, remaining changes:
    - Build dep on libboost1.55-dev
    - Add build dep on libqwt5-qt4-dev to build plasma-widget-kdeobservatory
    - Keep kubuntu_01_news_applet_name.diff
    - Remove useless debian/patches/marble-4.7-compat.diff patch

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 11 Jun 2014 18:30:26 +0200

kdeplasma-addons (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Jun 2014 12:26:25 +0200

kdeplasma-addons (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:40 +0200

kdeplasma-addons (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Update marble build-dependency version.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:45 +0100

kdeplasma-addons (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:04 +0100

kdeplasma-addons (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Feb 2014 17:12:57 +0100

kdeplasma-addons (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Switch to libeigen3-dev, thanks to Anton Gladky. (Closes: #728725)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 11:08:20 +0100

kdeplasma-addons (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:42:24 +0200

=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kde-workspace-dev (>= 4:4.11),
               kdepimlibs5-dev (>= 4:4.14.1),
               libattica-dev (>= 0.1.1),
               libboost1.55-dev,
               libdbusmenu-qt-dev,
               libeigen3-dev,
               libibus-1.0-dev (>= 1.4.2),
               libkexiv2-dev (>= 4:4.14.1),
               libmarble-dev (>= 4:4.14.1),
               libqalculate-dev,
               libqca2-dev (>= 2.0.0),
               libqimageblitz-dev,
               libqjson-dev,
               libqoauth-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libqwt5-qt4-dev,
               libscim-dev,
               libxrender-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.12),
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://plasma.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdeplasma-addons.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdeplasma-addons.git

Package: kdeplasma-addons
Architecture: all
Section: kde
Depends: plasma-containments-addons (>= ${source:Version}),
         plasma-runners-addons (>= ${source:Version}),
         plasma-wallpapers-addons (>= ${source:Version}),
         plasma-widget-lancelot (>= ${source:Version}),
         plasma-widgets-addons (>= ${source:Version}),
         ${misc:Depends}
Description: addons for Plasma
 The KDE Plasma addons module is a collection of additional Plasma
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package is a metapackage that installs all the widgets, data
 engines and krunner plugins from the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: plasma-dataengines-addons (= ${binary:Version}),
         plasma-dataengines-workspace,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: plasma-widget-lancelot
Suggests: plasma-widget-kimpanel
Description: additional widgets for Plasma
 This package contains additional Plasma widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Binary Clock
  * Black Board
  * Bookmarks
  * Bouncy Ball
  * Bubblemon
  * Calculator
  * Character Selector
  * Color Picker
  * Comic Strip
  * Dictionary
  * Eyes
  * Fifteen Puzzle
  * File Watcher
  * Fuzzy Clock
  * Icon Tasks
  * Incoming Message
  * Knowledge Base
  * Konqueror Profiles
  * Konsole Profiles
  * LCD Weather Station
  * Leave a Note
  * Life
  * Luna
  * Magnifique
  * Media Player
  * Microblogging
  * News
  * Notes
  * Now Playing
  * OpenDesktop.org Community
  * OpenDesktop.org Social News
  * Paste
  * Pastebin
  * Picture Frame
  * Plasmaboard
  * Previewer
  * Qalculate!
  * Remember The Milk
  * RSSNOW
  * Show Widget Dashboard
  * Show Desktop
  * Spell Check
  * System Load Viewer
  * Timer
  * Unit Converter
  * Weather Forecast
  * Web Slice
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-containments-addons
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional containment plugins for Plasma
 This package contains additional Plasma containment plugins. These plugins
 allow the user to layout Plasma widgets in groups.
 .
 Plasma widgets can be added to a group dropping them from the Add Widgets
 Explorer or moving them over the group. If it is necessary (like in the grid
 group) a drop zone will be shown (like the one in the panel).
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma
 addons module. These engines are needed by some Plasma widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kamoso (<< 2.0.2-2)
Replaces: kamoso (<< 2.0.2-2)
Description: additional runners for Plasma and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Audio Player Control
  * Calendar Events
  * Contacts
  * Date and Time
  * Kate Sessions
  * KDE TechBase
  * KDE Userbase Documentation
  * Kate Sessions
  * Konqueror Sessions
  * Konsole Sessions
  * Kopete Contacts
  * Special Characters
  * Spell Checker
  * Unit Converter
  * Web Browser History
  * Wikipedia
  * Wikitravel
  * YouTube
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-dataengines-addons (<= 4:4.3.0-1)
Description: additional wallpaper plugins for Plasma
 This package contains additional Plasma wallpaper plugins that are used in
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Globe (Marble)
  * Mandelbrot
  * Pattern
  * Picture of the day
  * Virus
  * Weather
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-lancelot
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-applet-lancelot
Conflicts: plasma-applet-lancelot
Description: lancelot widget for Plasma
 Lancelot is an application launcher menu (or ALI) for Plasma designed to
 provide a place from which all your jobs begin. It provides quick access
 to applications, places, documents, contacts and system information.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-kimpanel
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-widgets-addons (<< 4:4.8.3)
Breaks: plasma-widgets-addons (<< 4:4.8.3)
Description: KIMPanel widget for Plasma
 This package provides the KDE Input Method Panel widget for Plasma.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-kdeobservatory
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-dataengines-addons (<< 4:4.8.0)
Breaks: plasma-dataengines-addons (<< 4:4.8.0)
Description: KDE development tracking widget for Plasma
 The KDE Observatory Plasma widget is a way to track various metrics of the
 KDE project as a whole, including commit counts, Krazy2 report numbers for
 various KDE modules, and other statistics.
 .
 This package is part of the KDE Plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kde-workspace-dbg,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-runners-addons (= ${binary:Version}),
         plasma-wallpapers-addons (= ${binary:Version}),
         plasma-widget-kimpanel (= ${binary:Version}),
         plasma-widget-lancelot (= ${binary:Version}),
         plasma-widgets-addons (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons.
 They will automatically be used by gdb for debugging kdeplasma-addons related
 issues.

## kdeplasma-addons 4.14.2

=== applets/konsoleprofiles/CMakeLists.txt ===
project(konsoleprofiles)

install(DIRECTORY package/
        DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/konsoleprofiles)

install(FILES package/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-konsoleprofiles.desktop)

=== dataengines/comic/CMakeLists.txt ===
project(plasma_comic_dataengine)
set(comic_engine_SRCS
    cachedprovider.cpp
    comic.cpp
)

kde4_add_plugin(plasma_engine_comic ${comic_engine_SRCS})
target_link_libraries(plasma_engine_comic plasmacomicprovidercore ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_engine_comic DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-comic.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

########### plugin core library ############

set(comic_provider_core_SRCS
  comicprovider.cpp
)

kde4_add_library( plasmacomicprovidercore SHARED ${comic_provider_core_SRCS} )
target_link_libraries( plasmacomicprovidercore ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KROSSCORE_LIBS} )
target_link_libraries( plasmacomicprovidercore LINK_INTERFACE_LIBRARIES ${KDE4_KDECORE_LIBS})
set_target_properties(
   plasmacomicprovidercore PROPERTIES VERSION 1.0.0 SOVERSION 1
)

install( TARGETS plasmacomicprovidercore ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES plasma_comicprovider.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )

########### kross ###############

set( plasma_comic_krossprovider_SRCS
  comicproviderkross.cpp
  comicproviderwrapper.cpp
  comic_package.cpp
)

kde4_add_plugin( plasma_comic_krossprovider ${plasma_comic_krossprovider_SRCS} )
target_link_libraries( plasma_comic_krossprovider plasmacomicprovidercore ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${KDE4_KIO_LIBS} ${KDE4_KROSSCORE_LIBS} ${KDE4_PLASMA_LIBS} )
install( TARGETS plasma_comic_krossprovider DESTINATION ${PLUGIN_INSTALL_DIR} )

set(comicpackage_SRCS
    comic_package.cpp
    comic_package_plugin.cpp
)

kde4_add_plugin( plasma_packagestructure_comic ${comicpackage_SRCS} )
target_link_libraries( plasma_packagestructure_comic ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} )
install( TARGETS plasma_packagestructure_comic DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES plasma-packagestructure-comic.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== runners/dictionary/CMakeLists.txt ===
set(dictionaryrunner_SRCS dictionaryrunner.cpp dictionarymatchengine.cpp)
set(kcm_dictionaryrunner_SRCS dictionaryrunner_config.cpp)

kde4_add_plugin(krunner_dictionary ${dictionaryrunner_SRCS})
kde4_add_plugin(kcm_krunner_dictionary ${kcm_dictionaryrunner_SRCS})

target_link_libraries(krunner_dictionary ${KDE4_PLASMA_LIBS})
target_link_libraries(kcm_krunner_dictionary ${KDE4_KCMUTILS_LIBS})

install(TARGETS krunner_dictionary kcm_krunner_dictionary DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-runner-dictionary.desktop plasma-runner-dictionary_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kdeplasma-addons (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Oct 2014 10:28:19 +0200

kdeplasma-addons (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:41 +0200

kdeplasma-addons (4:4.14.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 29 Aug 2014 03:35:11 +0200

kdeplasma-addons (4:4.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 03:46:56 +0200

kdeplasma-addons (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Aug 2014 09:33:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kdeplasma-addons
 Section: utils
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -13,14 +13,14 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kde-workspace-dev (>= 4:4.11),
-               kdepimlibs5-dev (>= 4:4.14.1),
+               kdepimlibs5-dev (>= 4:4.11),
                libattica-dev (>= 0.1.1),
-               libboost1.55-dev,
+               libboost-dev,
                libdbusmenu-qt-dev,
                libeigen3-dev,
                libibus-1.0-dev (>= 1.4.2),
-               libkexiv2-dev (>= 4:4.14.1),
-               libmarble-dev (>= 4:4.14.1),
+               libkexiv2-dev (>= 4:4.11),
+               libmarble-dev (>= 4:4.14),
                libqalculate-dev,
                libqca2-dev (>= 2.0.0),
                libqimageblitz-dev,
@@ -32,14 +32,16 @@
                libscim-dev,
                libxrender-dev,
                libxtst-dev,
+               nepomuk-core-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.12),
+               shared-desktop-ontologies
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://plasma.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdeplasma-addons.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdeplasma-addons.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdeplasma-addons.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdeplasma-addons.git
+X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
+X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
 
 Package: kdeplasma-addons
 Architecture: all

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kdeplasma-addons-([\d.]+).tar.xz
